View Issue Details

IDProjectCategoryView StatusLast Update
0028536FPCCompilerpublic2020-03-21 11:09
ReporterDenis GolovanAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version3.3.1 
Summary0028536: [Feature Request] Inline High function just like Length for dyn arrays
DescriptionHi

Recently I had been investigating FPC-generated asm and noticed some inconsistency. It looks like FPC inlines Length function for dyn arrays and strings.

But it does not inline High function for some reason.
High function is in fact even simplier (no need to add 1 for dyn arrays).

Please inline High as well.

Tested under Linux, fpc svn rev.31326
TagsNo tags attached.
Fixed in Revision43808
FPCOldBugId
FPCTarget-
Attached Files

Activities

Thaddy de Koning

2016-06-30 12:47

reporter   ~0093435

Last edited: 2016-06-30 12:52

View 2 revisions

Is Low inlined?

But isn't there an issue here with code paths? How is that resolved with strings?
Dynamic arrays can have any length at run-time based on user input I mean.
Although the meta information is indeed stored at negative offsets.

Denis Golovan

2020-03-21 11:09

reporter   ~0121670

Tested and works fine.
Thanks.

Issue History

Date Modified Username Field Change
2015-08-17 20:40 Denis Golovan New Issue
2016-06-30 12:47 Thaddy de Koning Note Added: 0093435
2016-06-30 12:52 Thaddy de Koning Note Edited: 0093435 View Revisions
2019-12-28 22:38 Florian Assigned To => Florian
2019-12-28 22:38 Florian Status new => resolved
2019-12-28 22:38 Florian Resolution open => fixed
2019-12-28 22:38 Florian Fixed in Version => 3.3.1
2019-12-28 22:38 Florian Fixed in Revision => 43808
2019-12-28 22:38 Florian FPCTarget => -
2020-03-21 11:09 Denis Golovan Status resolved => closed
2020-03-21 11:09 Denis Golovan Note Added: 0121670